Method: buyers.auctionPackages.unsubscribe
Stay organized with collections
Save and categorize content based on your preferences.
outlined_flag
This document outlines the process to unsubscribe from an auction package for a specified buyer.
Upon successful unsubscription, the bidder will cease to receive call outs for that auction package deal ID and buyer.
The process uses an HTTP POST request to a specific URL with the auction package name as a path parameter.
The request body is empty, and a successful response body contains an instance of an AuctionPackage.
The action requires the https://www.googleapis.com/auth/authorized-buyers-marketplace OAuth scope for authorization.
Unsubscribe from the auction package for the specified buyer. Once unsubscribed, the bidder will no longer receive a call out for the auction package deal ID and the specified buyer.
HTTP request
POST https://authorizedbuyersmarketplace.googleapis.com/v1alpha/{name=buyers/*/auctionPackages/*}:unsubscribe
The URL uses gRPC Transcoding syntax.
Path parameters
Parameters
name
string
Required. Name of the auction package. Format: buyers/{accountId}/auctionPackages/{auctionPackageId}
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of AuctionPackage .
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/authorized-buyers-marketplace
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License , and code samples are licensed under the Apache 2.0 License . For details, see the Google Developers Site Policies . Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2024-09-18 UTC.
[null,null,["Last updated 2024-09-18 UTC."],[],[]]